Package Gnumed :: Package timelinelib :: Package db :: Module strategies :: Class ExtendedContainerStrategy |
[frames] | no frames]

# Class ExtendedContainerStrategy

source code

                     object --+
                              |
    interface.ContainerStrategy --+
                                  |
           DefaultContainerStrategy --+
                                      |
                                     ExtendedContainerStrategy

Instance Methods
register_subevent(self, subevent) Return the event with the latest end time. | source code
allow_ends_today_on_subevents(self) Allow to set the ends-today attribute on container subevents | source code
Inherited from `DefaultContainerStrategy`: `__init__`, `unregister_subevent`, `update` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### register_subevent(self, subevent) | source code
Return the event with the latest end time. Overrides: interface.ContainerStrategy.register_subevent (inherited documentation)

### allow_ends_today_on_subevents(self) | source code
Allow to set the ends-today attribute on container subevents Overrides: interface.ContainerStrategy.allow_ends_today_on_subevents (inherited documentation)